Skip to main content
GET
/
payments
/
settings
/
billing-schedules
/
{id}
Get billing schedule payment settings
curl --request GET \
  --url https://eu.sequencehq.com/api/payments/settings/billing-schedules/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/payments/settings/billing-schedules/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/payments/settings/billing-schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "sequenceAccountId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "billingScheduleId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "paymentProvider": "STRIPE",
  "autoCharge": true
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Unique settings ID

Response

OK

id
string
required

Unique payment provider ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

sequenceAccountId
string
required

Unique Sequence Account ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

billingScheduleId
string
required

Unique payment provider ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

paymentProvider
enum<string>
required

Payment provider

Available options:
STRIPE,
GOCARDLESS,
NONE
Example:

"STRIPE"

autoCharge
boolean
required

Automatically collect payments if payment details are available

Example:

true